Home

# Class goog.format.HtmlPrettyPrinter

This class formats HTML to be more human-readable. TODO(user): Add hierarchical indentation.

Instance Method Summary
| `format(string html) ⇒ string` Breaks up HTML so it's easily readable by the user.

Static Method Summary
| `format(string html) ⇒ string` Static utility function. See prototype #format.
| `getInstance_() ⇒ ?goog.format.HtmlPrettyPrinter` Singleton lazy initializer.